function [Ez]=em_EQz(mz, std_z, in, trg)
% function [Ez]=EQz(mz, std_z, in, trg)
% calculates the expectation of latent z's w.r.t. the truncated Qz distribution
%
% (C) P. Sykacek 2004

Ez=mz;
Ez=Ez(:);
idone=find(trg==1);
idzero=find(trg==0);
arg_one=-Ez(idone)/std_z;
arg_zero=-Ez(idzero)/std_z;
%pdf_stdGauss(arg_one)
%(1-cdf_stdGauss(arg_one))
Ez(idone)=Ez(idone)+std_z*pdf_stdGauss(arg_one)./(1-cdf_stdGauss(arg_one));
Ez(idzero)=Ez(idzero)-std_z*pdf_stdGauss(arg_zero)./cdf_stdGauss(arg_zero);
